#!/bin/sh

defdir=/usr/local/bin

pgms="msappwiz.tcl msedit.tcl msexplorer.tcl msshapex.tcl"

echo "MapServer Workbench Installation"
echo ""
echo "Looking for a good wish executable..."

PATH=/usr/bin:/usr/local/bin:$PATH
IFSSAVE=$IFS
IFS=:
eval set -- $PATH
IFS=$IFSSAVE

wish=""
for p in $* 
do
    for f in $p/wish*
    do
        if test ! "$wish" ; then
	    case $f in
		*wish8.3)
		    if test -z "$wish" ; then
			wish=$f
		    fi
		    ;;
		*)
		    ver=`echo 'puts [split $tcl_version .];exit;'|$f 2>/dev/null` 
		    if test "$ver" -a -z "$wish" ; then
			eval set -- $ver
			if test "$1" -eq 8 ; then
			    if test "$2" -ge 3 ; then
				wish="$f"
			    fi
			else 
			    if test "$1" -gt 8 ; then
				wish="$f"
			    fi
			fi	
		    fi
		    ;;
	    esac
        fi
    done
done

if test "$wish" ; then
    echo "found wish executable as $wish"
else
    echo "Can't find a good wish executable in your PATH"
    echo "Please install Tcl/Tk 8.3.2 or higher."
    echo ""
    echo "Enter the name for your wish executable:"
    read wish
    if test -z "$wish" ; then
        echo "MapServer Workbench not installed."
	exit
    fi
fi

echo ""
echo "Which directory should the programs be installed? [$defdir]"
read dir
echo
if test -z "$dir" ; then
    dir=$defdir
fi
if test -d $dir ; then
    if test ! -w $dir ; then
	echo "you don't have permission to install programs into $dir"
	echo "MapServer Workbench not installed."
	exit
    fi
    for pgm in $pgms
    do
	if test -f $pgm.in ; then
	    echo "installing $pgm"
	    sed -e "s%@WISH_EXE@%$wish%g" <$pgm.in >$pgm
	    chmod 755 $pgm
	    ln -sf `pwd`/$pgm   $dir/$pgm
	fi
    done
    echo ""
    echo "MapServer Workbench installation complete."
else
    echo "$dir is not a directory"
    echo "MapServer Workbench not installed."
fi
echo ""
exit
